# GET /api/v1/inventory/accounts-payable

> List Inventory AP bills

- **Tag:** inventory:accounts_payable
- **Operation ID:** `list_inventory_ap_bills_api_v1_inventory_accounts_payable_get`

## Description

List bills generated by a Purchase Order (those with source_inventory_order_id set). Supports optional status filtering.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `status` (query, string, optional) — Comma-separated list of bill statuses to include.
- `limit` (query, integer, optional) — Max bills to return.

## Responses

### 200 — Successful Response

Schema: `APInventoryListResponse`

- `items` (array · BillResponse) → `BillResponse`
  - `id` (string · required) — Bill UUID.
  - `business_id` (string · required) — Business UUID.
  - `currency` (string) — Currency for the bill (USD, CAD, AUD, EUR, or GBP).
  - `status` (integer | string · required) — Bill status (see schema description).
  - `description` (string) — Bill description.
  - `bill_number` (string) — Bill/invoice number from vendor.
  - `vendor_id` (string · required) — Vendor UUID.
  - `vendor_name` (string) — Vendor name (resolved).
  - `vendor_email` (string) — Vendor email (resolved).
  - `type` (integer | string · required) — Type: 'recurring' or 'one_time'.
  - `expected_amount` (integer) — Expected amount in cents.
  - `expected_paid_on_date` (string · date-time) — Expected payment date.
  - `total_paid` (integer) — Total amount paid so far in cents.
  - `amount` (integer) — Actual bill amount in cents.
  - `s3_key` (string) — S3 key of attached document.
  - `received_on` (string · date-time) — Date bill/goods received.
  - `due_on` (string · date-time) — Payment due date.
  - `paid_on` (string · date-time) — Date fully paid.
  - `created_at` (string · date-time · required) — Creation timestamp.
  - `updated_at` (string · date-time · required) — Last update timestamp.
  - `signed_url` (string) — Signed URL to view attached document.
  - `payments` (array · object) — List of payments made.
  - `journal_entries` (array · object) — Associated accounting entries.
  - `recurring_template_id` (string) — ID of recurring template if this bill was generated from one, or if one was created.
  - `source_inventory_order_id` (string) — Source PO that produced this bill via the PO lifecycle. Non-null means this bill is visible on the Inventory -> Accounts Payable tab.

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/inventory/accounts-payable' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/inventory/accounts-payable', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/inventory/accounts-payable", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/inventory-accounts-payable/list-inventory-ap-bills
- OpenAPI slice: https://www.ondayzero.com/docs/reference/inventory-accounts-payable/list-inventory-ap-bills/openapi.json
- Other endpoints in **inventory:accounts_payable**: https://www.ondayzero.com/docs/reference/inventory-accounts-payable
